<html>
<head>
<title>Ogre::Node::Listener Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Node.html">Node</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Node_1_1Listener.html">Listener</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::Node::Listener Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::Node::Listener" -->
<p><a class="el" href="classOgre_1_1Node_1_1Listener.html" title="Listener which gets called back on Node events.">Listener</a> which gets called back on <a class="el" href="classOgre_1_1Node.html" title="Class representing a general-purpose node an articulated scene graph.">Node</a> events.  
 <a href="classOgre_1_1Node_1_1Listener.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreNode_8h_source.html">OgreNode.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::Node::Listener:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1Node_1_1Listener__inherit__graph.gif" border="0" usemap="#Ogre_1_1Node_1_1Listener_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1Node_1_1Listener_inherit__map" id="Ogre_1_1Node_1_1Listener_inherit__map">
<area shape="rect" id="node3" href="classOgre_1_1RibbonTrail.html" title="Subclass of BillboardChain which automatically leaves a trail behind one or more Node instances..." alt="" coords="15,83,137,112"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1Node_1_1Listener-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Node_1_1Listener.html#a0808cd3ddd6a1ec90ce947677839aab8">Listener</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Node_1_1Listener.html#a2592c473e74e12379be9fdd2d94aa473">~Listener</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Node_1_1Listener.html#a4038dce943694bf4577fc99aa76c99ec">nodeUpdated</a> (const <a class="el" href="classOgre_1_1Node.html">Node</a> *)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Called when a node gets updated.  <a href="#a4038dce943694bf4577fc99aa76c99ec"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Node_1_1Listener.html#a1bba5bb036e7e21e44520d4a302deb45">nodeDestroyed</a> (const <a class="el" href="classOgre_1_1Node.html">Node</a> *)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Node.html" title="Class representing a general-purpose node an articulated scene graph.">Node</a> is being destroyed.  <a href="#a1bba5bb036e7e21e44520d4a302deb45"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Node_1_1Listener.html#a94f0833d9ba1ac036c7c9274a77a3bb7">nodeAttached</a> (const <a class="el" href="classOgre_1_1Node.html">Node</a> *)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Node.html" title="Class representing a general-purpose node an articulated scene graph.">Node</a> has been attached to a parent.  <a href="#a94f0833d9ba1ac036c7c9274a77a3bb7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Node_1_1Listener.html#a2d8d30e7eb00989dc97aa0c2e1c94d36">nodeDetached</a> (const <a class="el" href="classOgre_1_1Node.html">Node</a> *)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Node.html" title="Class representing a general-purpose node an articulated scene graph.">Node</a> has been detached from a parent.  <a href="#a2d8d30e7eb00989dc97aa0c2e1c94d36"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p><a class="el" href="classOgre_1_1Node_1_1Listener.html" title="Listener which gets called back on Node events.">Listener</a> which gets called back on <a class="el" href="classOgre_1_1Node.html" title="Class representing a general-purpose node an articulated scene graph.">Node</a> events. </p>

<p>Definition at line <a class="el" href="OgreNode_8h_source.html#l00082">82</a> of file <a class="el" href="OgreNode_8h_source.html">OgreNode.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a0808cd3ddd6a1ec90ce947677839aab8"></a><!-- doxytag: member="Ogre::Node::Listener::Listener" ref="a0808cd3ddd6a1ec90ce947677839aab8" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Node_1_1Listener.html#a0808cd3ddd6a1ec90ce947677839aab8">Ogre::Node::Listener::Listener</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreNode_8h_source.html#l00085">85</a> of file <a class="el" href="OgreNode_8h_source.html">OgreNode.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2592c473e74e12379be9fdd2d94aa473"></a><!-- doxytag: member="Ogre::Node::Listener::~Listener" ref="a2592c473e74e12379be9fdd2d94aa473" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1Node_1_1Listener.html#a2592c473e74e12379be9fdd2d94aa473">Ogre::Node::Listener::~Listener</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreNode_8h_source.html#l00086">86</a> of file <a class="el" href="OgreNode_8h_source.html">OgreNode.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a94f0833d9ba1ac036c7c9274a77a3bb7"></a><!-- doxytag: member="Ogre::Node::Listener::nodeAttached" ref="a94f0833d9ba1ac036c7c9274a77a3bb7" args="(const Node *)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Node_1_1Listener.html#a94f0833d9ba1ac036c7c9274a77a3bb7">Ogre::Node::Listener::nodeAttached</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Node.html">Node</a> *&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><a class="el" href="classOgre_1_1Node.html" title="Class representing a general-purpose node an articulated scene graph.">Node</a> has been attached to a parent. </p>

<p>Definition at line <a class="el" href="OgreNode_8h_source.html#l00098">98</a> of file <a class="el" href="OgreNode_8h_source.html">OgreNode.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1bba5bb036e7e21e44520d4a302deb45"></a><!-- doxytag: member="Ogre::Node::Listener::nodeDestroyed" ref="a1bba5bb036e7e21e44520d4a302deb45" args="(const Node *)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Node_1_1Listener.html#a1bba5bb036e7e21e44520d4a302deb45">Ogre::Node::Listener::nodeDestroyed</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Node.html">Node</a> *&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><a class="el" href="classOgre_1_1Node.html" title="Class representing a general-purpose node an articulated scene graph.">Node</a> is being destroyed. </p>

<p>Reimplemented in <a class="el" href="classOgre_1_1RibbonTrail.html#a30baa88eeee3eb041db328924dd1a0f7">Ogre::RibbonTrail</a>.</p>

<p>Definition at line <a class="el" href="OgreNode_8h_source.html#l00096">96</a> of file <a class="el" href="OgreNode_8h_source.html">OgreNode.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2d8d30e7eb00989dc97aa0c2e1c94d36"></a><!-- doxytag: member="Ogre::Node::Listener::nodeDetached" ref="a2d8d30e7eb00989dc97aa0c2e1c94d36" args="(const Node *)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Node_1_1Listener.html#a2d8d30e7eb00989dc97aa0c2e1c94d36">Ogre::Node::Listener::nodeDetached</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Node.html">Node</a> *&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><a class="el" href="classOgre_1_1Node.html" title="Class representing a general-purpose node an articulated scene graph.">Node</a> has been detached from a parent. </p>

<p>Definition at line <a class="el" href="OgreNode_8h_source.html#l00100">100</a> of file <a class="el" href="OgreNode_8h_source.html">OgreNode.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4038dce943694bf4577fc99aa76c99ec"></a><!-- doxytag: member="Ogre::Node::Listener::nodeUpdated" ref="a4038dce943694bf4577fc99aa76c99ec" args="(const Node *)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Node_1_1Listener.html#a4038dce943694bf4577fc99aa76c99ec">Ogre::Node::Listener::nodeUpdated</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Node.html">Node</a> *&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Called when a node gets updated. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Note that this happens when the node's derived update happens, not every time a method altering it's state occurs. There may be several state-changing calls but only one of these calls, when the node graph is fully updated. </dd></dl>

<p>Reimplemented in <a class="el" href="classOgre_1_1RibbonTrail.html#a1d55b1c2630baaee6ba063333ed13b92">Ogre::RibbonTrail</a>.</p>

<p>Definition at line <a class="el" href="OgreNode_8h_source.html#l00094">94</a> of file <a class="el" href="OgreNode_8h_source.html">OgreNode.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreNode_8h_source.html">OgreNode.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:00
</p>
</body>
</html>
